/// <reference types="react" />
import React$1 from 'react';
import { DataGridProps } from '@mui/x-data-grid';
import { DialogProps } from '@mui/material/Dialog';

interface ItemMenuProps {
    id: string;
    label: string;
    onClick: () => void;
}
interface DropdownMenuProps {
    items: ItemMenuProps[];
    label: string | React$1.ReactElement;
    endIcon?: React$1.ReactNode;
    variant?: "text" | "contained" | "outlined" | undefined;
}
declare const DropdownMenu: React$1.FC<DropdownMenuProps>;

interface TableProps extends DataGridProps {
}
declare const Table: React.FC<TableProps>;

interface IMenuProps {
    id: string;
    type: 'menuItem';
    label: string;
    dest: string;
    icon: string;
    submenus: IMenuProps[];
    menuPath?: string;
}
interface IDividerProps {
    type: 'divider';
}
interface ISideNavProps {
    menu: (IMenuProps | IDividerProps)[];
    onClick: (menuName: string) => void;
    selectionBgColor?: string;
    selectionColor?: string;
    defaultSelection?: string;
    logo?: any;
}
declare const SideNav: React$1.FC<ISideNavProps>;

interface CardProps {
    open: boolean;
    onClose: () => void;
    content: React.ReactElement | string | undefined;
    title: React.ReactElement | string | undefined;
    startIcon?: React.ReactNode;
    endIcon?: React.ReactNode;
    footerContent?: React.ReactElement | string | undefined;
}
declare const Card: React.FC<CardProps & DialogProps>;

export { Card, Table as DataTable, DropdownMenu, SideNav };
